// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "API Support",
            "url": "http://www.swagger.io/support",
            "email": "support@swagger.io"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/admin": {
            "get": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Get Admin Data like fullname and email.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Admin Routes"
                ],
                "summary": "Get Admin Data like fullname and email using bearer token.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Admin Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.RegisterAdmin200"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/admin/login": {
            "post": {
                "description": "Logging in to get jwt token to access admin or user api by roles admin.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Admin Routes"
                ],
                "summary": "Login Admin Account.",
                "parameters": [
                    {
                        "description": "the body to login as admin",
                        "name": "Body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.AdminLoginInput"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.LoginAdmin200"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/admin/product/{name}/{id}": {
            "put": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Admin can post product that was submitted by store.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Admin Routes"
                ],
                "summary": "Post Product by Roles Admin.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Admin Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Product Status: post / unpost",
                        "name": "name",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Product ID (UUID)",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/admin/products-category": {
            "post": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Admin can create new product category.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Admin Routes"
                ],
                "summary": "Create New Product Category by Roles Admin.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/admin/register": {
            "post": {
                "description": "Registering by fullname, email, and password.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Admin Routes"
                ],
                "summary": "Register an account as admin.",
                "parameters": [
                    {
                        "description": "the body to register an admin",
                        "name": "Body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.AdminRegisterInput"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.RegisterAdmin200"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/admin/store": {
            "get": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Admin can get all store data.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Admin Routes"
                ],
                "summary": "Get All Stores Data by Roles Admin.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Admin Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/product-category": {
            "get": {
                "description": "Public can get all category data.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Public Routes"
                ],
                "summary": "Get All Product Category Data by Public.",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/products": {
            "get": {
                "description": "Public can get all product data",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Public Routes"
                ],
                "summary": "Public can get all product data.",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Products"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/products/category/{id}": {
            "get": {
                "description": "Public can get all product data by category ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Public Routes"
                ],
                "summary": "Public can get all product data by category ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Category ID (UUID)",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Products"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/products/search/{name}": {
            "get": {
                "description": "Public can get all product data by category ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Public Routes"
                ],
                "summary": "Public can get all product data by category ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "search product name",
                        "name": "name",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Products"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/products/{id}": {
            "get": {
                "description": "Public can get all product data by product ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Public Routes"
                ],
                "summary": "Public can get all product data by product ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Product ID (UUID)",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Products"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store": {
            "get": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Store can get their store data like storename, email, hashed password.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Store Routes"
                ],
                "summary": "Get Store Data By Role Store.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Stores"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store/login": {
            "post": {
                "description": "Logging in to get jwt token to access store api by roles store.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Store Routes"
                ],
                "summary": "Login Store Account.",
                "parameters": [
                    {
                        "description": "the body to login a store account",
                        "name": "Body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.StoreLoginInput"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.LoginAdmin200"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store/products": {
            "get": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Store can get all product data by Store ID",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Product Routes"
                ],
                "summary": "Store can get all of their product data .",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Products"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Store can create a new product data.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Product Routes"
                ],
                "summary": "Create New Product Data By Role Store.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Products"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store/products/{id}": {
            "put": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Store can update product data.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Product Routes"
                ],
                "summary": "Update Product Data By Role Store.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Product ID (UUID)",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Products"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Store can delete product data.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Product Routes"
                ],
                "summary": "Delete Product Data By Role Store.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Product ID (UUID)",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store/profile": {
            "get": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Store can get their store profile like address, city, phone number, and postal code.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Store Routes"
                ],
                "summary": "Get Store Profile By Role Store.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.StoresProfile"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "BearerToken": []
                    }
                ],
                "description": "Store can update their store profile like address, city, phone number, and postal code.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Store Routes"
                ],
                "summary": "Update Store Profile By Role Store.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store Authorization. How to input in swagger : 'Bearer \u003cinsert_your_token_here\u003e'",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.StoresProfile"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store/profile/{id}": {
            "get": {
                "description": "Public can get store information data like address, city, phone number, and postal code..",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Public Routes"
                ],
                "summary": "Get Store Profile Data By Store ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store ID (UUID)",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.StoresProfile"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store/register": {
            "post": {
                "description": "Registering by store name, email, and password.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Store Routes"
                ],
                "summary": "Register a store account.",
                "parameters": [
                    {
                        "description": "the body to register a store account",
                        "name": "Body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.StoreRegisterInput"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.RegisterStore200"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        },
        "/store/{id}": {
            "get": {
                "description": "Public can get store information data like store name and email.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Public Routes"
                ],
                "summary": "Get Store Data By Store ID.",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Store ID (UUID)",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Stores"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/models.Errorhandling"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "models.Admin": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "fullname": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "productsID": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.Products"
                    }
                }
            }
        },
        "models.AdminLoginInput": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "models.AdminRegisterInput": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "fullname": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "models.Errorhandling": {
            "type": "object",
            "properties": {
                "error": {
                    "type": "string",
                    "default": "error-message"
                }
            }
        },
        "models.LoginAdmin200": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string",
                    "default": "login success"
                },
                "token": {
                    "type": "string",
                    "default": "token value"
                }
            }
        },
        "models.ProductCategory": {
            "type": "object",
            "properties": {
                "category_name": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "productsID": {
                    "description": "migration",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.Products"
                    }
                }
            }
        },
        "models.Products": {
            "type": "object",
            "properties": {
                "admin": {
                    "$ref": "#/definitions/models.Admin"
                },
                "adminID": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "description": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "image_url": {
                    "type": "string"
                },
                "post_status": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                },
                "productCategory": {
                    "description": "migration",
                    "$ref": "#/definitions/models.ProductCategory"
                },
                "productCategoryID": {
                    "type": "string"
                },
                "product_name": {
                    "type": "string"
                },
                "stock": {
                    "type": "integer"
                },
                "stores": {
                    "$ref": "#/definitions/models.Stores"
                },
                "storesID": {
                    "type": "string"
                },
                "updated_at": {
                    "type": "string"
                },
                "weight": {
                    "type": "integer"
                }
            }
        },
        "models.RegisterAdmin200": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "fullname": {
                    "type": "string"
                }
            }
        },
        "models.RegisterStore200": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "store_name": {
                    "type": "string"
                }
            }
        },
        "models.StoreLoginInput": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "models.StoreRegisterInput": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "store_name": {
                    "type": "string"
                }
            }
        },
        "models.Stores": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "productsID": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.Products"
                    }
                },
                "store_name": {
                    "type": "string"
                },
                "storesProfile": {
                    "$ref": "#/definitions/models.StoresProfile"
                }
            }
        },
        "models.StoresProfile": {
            "type": "object",
            "properties": {
                "address": {
                    "type": "string"
                },
                "city": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "phone_number": {
                    "type": "integer"
                },
                "postal_code": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
